name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀

on:
  push:
    branches: [develop]

jobs:
  check:
    runs-on: self-hosted
    defaults:
      run:
        working-directory: /home/raysam/act-runner-host/repo
    steps:
      - run: git --version
      - run: rm -rf fuware-fe
      - run: git clone ssh://git@thamluu.synology.me:222/sam/fuware-fe.git fuware-fe
      - name: run docker
        working-directory: /home/raysam/act-runner-host/repo/fuware-fe
        run: docker compose up --build -d
      - run: echo "🍏 This job's status is ${{ job.status }}."
